收藏
回答

db.command.all报错,基础库是2.8.3的,请问是什么原因啊?


回答关注问题邀请回答
收藏

2 个回答

  • 郑小园
    郑小园
    2019-09-24


    2019-09-24
    有用
    回复 2
  • 罗梅光
    罗梅光
    2019-09-24

    老弟,代码贴出来

    2019-09-24
    有用
    回复 6
    • 郑小园
      郑小园
      2019-09-24
      代码在下面,就是很简单筛选
      2019-09-24
      回复
    • 罗梅光
      罗梅光
      2019-09-24回复郑小园
      代码格式好像写错了,不是在get里面吧。.get().then(res=>{}).catch(err=>{})
      2019-09-24
      回复
    • 郑小园
      郑小园
      2019-09-25
      直接get()也是可以的,then我也用过,都是.all()报错
      2019-09-25
      回复
    • 罗梅光
      罗梅光
      2019-09-25回复郑小园
      试试使用 return await 这种格式,return new Promise 以前用过,但是不知道为啥后来不用了。现在用的是 return await
      2019-09-25
      回复
    • 罗梅光
      罗梅光
      2019-09-25回复郑小园
      return await db.collection('users').where({ _openid: _.eq(id) }).get().then(res => {})
      2019-09-25
      回复
    查看更多(1)
登录 后发表内容
问题标签